<tr class="table-color2">
	<td colspan="2">
		In order to use this installation tool, please identify yourself using the root password!
	</td>
</tr>
<tr class="table-color2">
	<td class="text">
		<b>Username<span class="error"> *</span>:</b>
	</td>
	<td width="80%">
		<input type="text" name="login" value="<?php echo $this->GetVar('login'); ?>" class="text" />
	</td>
</tr>
<tr class="table-color2">
	<td class="text">
		<b>Password<span class="error"> *</span>:</b>
	</td>
	<td>
		<input type="password" name="password" class="text" />
	</td>
</tr>

<?php
	ob_start();
?>
<tr class="%4$s">
	<td colspan="2">
		<input type="radio" value="%1$s" name="next_preset" id="next_preset_%1$s"%2$s><label for="next_preset_%1$s">%3$s</label></span>
	</td>
</tr>
<?php
	$option_tpl = ob_get_clean();

	$options = 	Array (
						'upgrade'			=>	'Upgrade In-Portal',
						'clean_reinstall'	=>	'Reinstall In-Portal',
						2					=>	'Install In-Portal to a New Database',
						'update_license'	=>	'Update License Information',
						'db_reconfig'		=>	'Update Database Configuration',
						'fix_paths'			=>	'Update Installation Paths',
				);

	$upgradable_modules = $this->GetUpgradableModules();
	if (!$upgradable_modules) {
		unset($options['upgrade']);
	}

	$td_class = 'table-color1';
	foreach ($options as $option_key => $option_title) {
		$checked = $this->GetVar('next_preset') == $option_key ? ' checked' : '';
		echo sprintf($option_tpl, $option_key, $checked, $option_title, $td_class);
		$td_class = ($td_class == 'table-color1') ? 'table-color2' : 'table-color1';
	}

?>